Maemo 2.2 'gregale'


This release supports software development for the 770 running OS2006.

You can not flash your N800 with OS2006. More details are available from the Maemo 2.2 and 3.0 compatibility page.

Quick downloads


Notes for developers


The Maemo 2.2 SDK can only be installed manually. For details please see the updated tutorial.

The current version, Maemo 2.2, only supports Scratchbox Apophis R4 (1.x). Using the software with older Scratchbox 0.9.8 version may cause trouble, hence we do not recommend nor support it in Maemo 2.2!

Package Repository

The /etc/apt/sources.list file for Maemo 2.2:

deb gregale free non-free 
deb-src gregale free

Gregale's Debian package repository is meant to be used inside the Scratchbox environment. Do not configure your host workstation to use the same repositories!